********************************************************************************
*                                                                              * 
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### zasyx1 ###
c
c     Evaluates asymptotic values of a given exchange potential from the
c     multipole expansion.
c
c     For odd values of q in P(k,q) (here q=idel) there should be no
c     (-1)**q factor in eq. (19). That is why this factor is missing in
c     this routine.
c
      subroutine zasyx1 (idel,ipc,excp)
      implicit integer*4 (i-n)
      implicit real*8(a-h,o-z)
      include 'commons8.inc'
      dimension excp(*),pe(10)
      do j=mxnmu-3,mxnmu
         itt=(j-1)*nni
         do i=1,nni
            kk=i+itt
            if (idbg(300).eq.0) then
               call multi1(i,j,idel,ipc,pe)
               excp(kk)= r2*vxi(j)*pe(impole)
            else
               call multi(i,j,idel,ipc,pev)
               excp(kk)= r2*vxi(j)*pev
            endif

         enddo
      enddo
      return
      end
